> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Transaction



## OpenAPI

````yaml https://cdn.ecrypt.dev/swagger/gateway-swagger-v30.json get /v1/transactions/{id}
openapi: 3.0.4
info:
  title: Ecrypt.Gateway.Api
  description: Ecrypt API
  contact:
    name: Ecrypt
    url: https://www.ecrypt.com/
    email: Engineering@Ecrypt.com
  version: 1.0.0.0
servers: []
security: []
paths:
  /v1/transactions/{id}:
    get:
      tags:
        - Transactions
      summary: Get a Transaction
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionDto
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionDto:
      type: object
      properties:
        transaction_id:
          type: integer
          description: Ecrypt transaction identifier.
          format: int64
        type:
          type: string
          description: "Initial transaction type.\r\n*** Supported Values ***\r\n- `AUTHORIZATION`\r\n- `SALE`\r\n- `CREDIT`\r\n- `REFUND`\r\n- `VALIDATION`"
          nullable: true
        tender:
          type: string
          description: "Tender for transaction.\r\n*** Supported Values ***\r\n- `CREDITCARD`\r\n- `CHECK`\r\n- `CASH`"
          nullable: true
        payment_name:
          type: string
          description: Customer name associated with the payment.
          nullable: true
        payment_network:
          type: string
          description: "Payment network for the transaction tender and payment account.\r\n*** Supported Values ***\r\n- `AX`, American Express\r\n- `DI`, Discover Card\r\n- `MC`, Mastercard\r\n- `VI`, Visa\r\n- `ACH`, ACH/Check\r\n- `CASH`"
          nullable: true
        payment_account:
          type: string
          description: >-
            Masked payment account. Format for tender `CREDITCARD` is
            `123456XXXXXX1234`, for tender `CHECK` is `1XXXXXX1234`.
          nullable: true
        payment_account_expiry:
          type: string
          description: >-
            Expiry for payment when tender is `CREDITCARD`, format is `MMyy`. 
            Example 0135 for January 2035.
          nullable: true
        amount:
          type: number
          description: Amount requested for authorization.
          format: double
        authorization_amount:
          type: number
          description: Amount successfully authorized.
          format: double
          nullable: true
        captured_amount:
          type: number
          description: Amount successfully captured.
          format: double
          nullable: true
        gratuity_amount:
          type: number
          description: >-
            Amount of gratuity/tip applied to the transaction. Only available
            for specific merchant codes.
          format: double
          nullable: true
        surcharge_amount:
          type: number
          description: >-
            Amount of surcharge/convenience fee applied to the transaction. Only
            available for approved compliant merchants.
          format: double
          nullable: true
        settlement_amount:
          type: number
          description: Amount successfully settled to the merchant.
          format: double
          nullable: true
        voided_amount:
          type: number
          description: Amount successfully voided for the transaction.
          format: double
          nullable: true
        reference_transaction_id:
          type: number
          description: >-
            Reference Ecrypt transaction identifier.  This is normally the
            original Ecrypt transaction id that was refunded.
          format: double
          nullable: true
        approval_code:
          type: string
          description: Network approval code when tender is `CREDITCARD`.
          nullable: true
        avs_code:
          type: string
          description: Address verification code when tender is `CREDITCARD`.
          nullable: true
        cvv_code:
          type: string
          description: Card verification value response code when tender is `CREDITCARD`.
          nullable: true
        enhanced:
          type: boolean
          description: Transaction is tier II/III qualified.
          nullable: true
        status:
          type: string
          description: "Type of event\r\n*** Supported Values ***\r\n- `APPROVED`\r\n- `DECLINED`\r\n- `ERROR`\r\n- `CAPTURED`\r\n- `SETTLED`\r\n- `VOIDED`\r\n- `REJECTED`\r\n- `CHARGEBACK`"
          nullable: true
        created:
          type: string
          description: Create date time represented in UTC.
          format: date-time
        events:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionEventDto
          description: List of events associated with this transaction.
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        request_id:
          maxLength: 100
          minLength: 1
          type: string
          description: Ecrypt Request Identifier.
          default: ABCDEF000000000000010
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionEventDto:
      type: object
      properties:
        type:
          type: string
          description: "Type of event\r\n*** Supported Values ***\r\n- `AUTHORIZATION`\r\n- `SALE`\r\n- `CREDIT`\r\n- `REFUND`\r\n- `VALIDATION`\r\n- `REVERSAL`\r\n- `CAPTURED`\r\n- `VOIDED`\r\n- `SETTLED`\r\n- `REJECTED`\r\n- `CHARGEBACK`"
          nullable: true
        code:
          type: string
          description: Processor response code for the event.
          nullable: true
        text:
          type: string
          description: Processor response text for the event.
          nullable: true
        created:
          type: string
          description: Create date time represented in UTC.
          format: date-time
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          nullable: true
        exception_name:
          type: string
          nullable: true
      additionalProperties: false

````